Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::Component_Packager Namespace Reference

## Classes
struct | CIAO::Component_Packager::packageplan
class | CIAO::Component_Packager::Base_Packager
class | CIAO::Component_Packager::CPK_Packager
class | CIAO::Component_Packager::PDL_Handler
| Handler class for PackageDescriptionList. More...
class | CIAO::Component_Packager::Base_Package
| Base class for ComponentPackager. More...
class | CIAO::Component_Packager::CPK_Package
| This class defines operations for creating DAnCE component package. More...
## Typedefs
typedef std::map< ACE_TString, ACE_TString >::const_iterator | DESC_PLAN_CONST_ITER
typedef std::map< ACE_TString, ACE_TString >::const_iterator | IMPL_PLAN_CONST_ITER
## Functions
void | display_usage (const ACE_TCHAR *program)
bool | parse_args (int argc, ACE_TCHAR *argv[])
int | run_main (int argc, char *argv[])
CZipMemFile & | operator<< (CZipMemFile &mf, const ACE_TCHAR *str)
CZipMemFile & | operator<< (CZipMemFile &mf, const ACE_TString &str)
## Variables
const char * | cdp_url = 0
const char * | pdl_url = 0
const char * | pkg_url = "ComponentPackage.cpk"
bool | include_std_desc = false

## Typedef Documentation

typedef std::map<ACE_TString, ACE_TString>::const_iterator CIAO::Component_Packager::DESC_PLAN_CONST_ITER

typedef std::map<ACE_TString, ACE_TString>::const_iterator CIAO::Component_Packager::IMPL_PLAN_CONST_ITER

## Function Documentation

void display_usage | ( | const ACE_TCHAR * | program | ) | `[static]`

CZipMemFile & CIAO::Component_Packager::operator<< | ( | CZipMemFile & | mf,
|  | const ACE_TString & | str
| ) |

CZipMemFile & CIAO::Component_Packager::operator<< | ( | CZipMemFile & | mf,
|  | const ACE_TCHAR * | str
| ) |

bool parse_args | ( | int | argc,
|  | ACE_TCHAR * | argv[]
| ) | `[static]`

int run_main | ( | int | argc,
|  | char * | argv[]
| ) | `[static]`

## Variable Documentation

const char* CIAO::Component_Packager::cdp_url = 0

bool CIAO::Component_Packager::include_std_desc = false

const char* CIAO::Component_Packager::pdl_url = 0

const char* CIAO::Component_Packager::pkg_url = "ComponentPackage.cpk"